waffle.windows.auth

## Interface IWindowsAccount

All Known Implementing Classes:
  WindowsAccountImpl

    public interface IWindowsAccount

Windows account.

Author:
  dblock[at]dblock[dot]org

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getDomain()` Domain name.
`String` `getFqn()` Fully qualified username.
`String` `getName()` User name.
`String` `getSidString()` Security identifier.

### Method Detail

#### getSidString

    String getSidString()

Security identifier.

Returns:
  String in the S- format.

#### getFqn

    String getFqn()

Fully qualified username.

Returns:
  String.

#### getName

    String getName()

User name.

Returns:
  String.

#### getDomain

    String getDomain()

Domain name.

Returns:
  String.